Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.client
Class ServiceImpl

    java.lang.Object
      org.apache.axis.client.Service
          org.jboss.webservice.client.ServiceImpl

All Implemented Interfaces:
  Referenceable, Serializable, javax.xml.rpc.Service

public class ServiceImpl
extends org.apache.axis.client.Service

Lookup EngineConfiguration configure the the jaxrpc service with it.

Since:
  27-April-2004
Version:
  $Revision: 1.17.4.5 $
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.client.Service
`org.apache.axis.client.Service.HandlerRegistryImpl`

Field Summary

Fields inherited from class org.apache.axis.client.Service
`cachedWSDL, cachingWSDL, config, engine, serviceName, wsdlLocation, wsdlService`

Constructor Summary
`ServiceImpl()` Constructs a new Service object - this assumes the caller will set the appropriate fields by hand rather than getting them from the WSDL.
`ServiceImpl(javax.xml.namespace.QName serviceName)` Constructs a new Service object - this assumes the caller will set the appropriate fields by hand rather than getting them from the WSDL.
`ServiceImpl(URL wsdlDoc, javax.xml.namespace.QName serviceName)` Constructs a new Service object for the service in the WSDL document pointed to by the wsdlDoc URL and serviceName parameters.

Method Summary
`javax.xml.rpc.Call` | `createCall()` Overwrite to provide a Call object that is ws4ee aware.
`protected org.apache.axis.client.AxisClient` | `getAxisClient()` Get the AxisClient engine.
`protected org.apache.axis.EngineConfiguration` | `getEngineConfiguration()` Use the `EngineConfigurationFinder.getClientEngineConfiguration()` to discover the client engine configuration.
`javax.xml.rpc.handler.HandlerRegistry` | `getHandlerRegistry()` J2EE components should not use the getHandlerRegistry() method.
`org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping` | `getJavaWsdlMapping()`
`protected org.apache.axis.wsdl.gen.Parser` | `getParser()` Turn off automatic wrapped style
`Remote` | `getPort(Class seiClass)` Returns the dynamic proxy for the given SEI.
`Remote` | `getPort(javax.xml.namespace.QName portName, Class seiClass)` Returns the dynamic proxy for the given SEI.
`Iterator` | `getPorts()` Returns an `Iterator` for the list of `QName`s of service endpoints grouped by this service For a partial wsdl see ws-1.1 spec section 4.2.2.5 Service method use with partial WSDL
`ServiceDescription` | `getServiceDescription(String portName)`
`javax.xml.namespace.QName` | `getServiceName()` Get the service name for this service.
`protected String` | `getTargetEnpointAddress()` The service may provide the target endpoint address, in case the client wsdl port does not contain a valid address.
`javax.xml.rpc.encoding.TypeMappingRegistry` | `getTypeMappingRegistry()` J2EE components should not use the getTypeMappingRegistry() method.
`javax.wsdl.Definition` | `getWsdlDefinition()`
`protected javax.wsdl.Port` | `getWSDLPort(Class seiClass)` Get the WSDL Port for a given service portComponentLinkEndpoint interface This looks up the port from the jaxrpc-mapping before defaulting to the Axis functionality.
`void` | `initService(ServiceDescription serviceDesc, String portName)` Add a service description for the client service
`void` | `setCallProperties(Properties callProperties)` Set the default call properties to use with every created call
`void` | `setJavaWsdlMapping(org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping javaWsdlMapping)`
`void` | `setTargetEndpointAddress(String targetEndpointAddress)`
`void` | `setWsdlDefinition(javax.wsdl.Definition wsdlDefinition)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, getCacheWSDL, getCalls, getEngine, getMaintainSession, getPort, getPort, getReference, getWSDLDocumentLocation, getWSDLParser, getWSDLService, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceImpl

    public ServiceImpl()

  Constructs a new Service object - this assumes the caller will set the appropriate fields by hand rather than getting them from the WSDL.

### ServiceImpl

    public ServiceImpl(javax.xml.namespace.QName serviceName)

  Constructs a new Service object - this assumes the caller will set the appropriate fields by hand rather than getting them from the WSDL.

### ServiceImpl

    public ServiceImpl(URL wsdlDoc,
                       javax.xml.namespace.QName serviceName)
                throws javax.xml.rpc.ServiceException

  Constructs a new Service object for the service in the WSDL document pointed to by the wsdlDoc URL and serviceName parameters.

Parameters:
  `wsdlDoc` - URL of the WSDL document
  `serviceName` - Qualified name of the desired service
Throws:
  `javax.xml.rpc.ServiceException` - If there's an error finding or parsing the WSDL

Method Detail

### initService

    public void initService(ServiceDescription serviceDesc,
                            String portName)
                     throws javax.xml.rpc.ServiceException

  Add a service description for the client service

  Parameters:
    `serviceDesc` - The Service description to add
    `portName` - The optional port name
  Throws:
    `javax.xml.rpc.ServiceException`

### getHandlerRegistry

    public javax.xml.rpc.handler.HandlerRegistry getHandlerRegistry()

  J2EE components should not use the getHandlerRegistry() method. A container provider must throw a java.lang.UnsupportedOperationException from the getHandlerRegistry() method of the Service Interface. Handler support is documented in Chapter 6 Handlers.

### getTypeMappingRegistry

    public javax.xml.rpc.encoding.TypeMappingRegistry getTypeMappingRegistry()

  J2EE components should not use the getTypeMappingRegistry() method. A container provider must throw a java.lang.UnsupportedOperationException from the getTypeMappingRegistry() method of the Service Interface.

### getPort

    public Remote getPort(Class seiClass)
                   throws javax.xml.rpc.ServiceException

  Returns the dynamic proxy for the given SEI.

  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public Remote getPort(javax.xml.namespace.QName portName,
                          Class seiClass)
                   throws javax.xml.rpc.ServiceException

  Returns the dynamic proxy for the given SEI.

  Throws:
    `javax.xml.rpc.ServiceException`

### setCallProperties

    public void setCallProperties(Properties callProperties)

  Set the default call properties to use with every created call

  Parameters:
    `callProperties` - the properties to set
  See Also:
    `createCall()`

### getServiceDescription

    public ServiceDescription getServiceDescription(String portName)

### getWsdlDefinition

    public javax.wsdl.Definition getWsdlDefinition()

### setWsdlDefinition

    public void setWsdlDefinition(javax.wsdl.Definition wsdlDefinition)

### getJavaWsdlMapping

    public org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping getJavaWsdlMapping()

### setJavaWsdlMapping

    public void setJavaWsdlMapping(org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping javaWsdlMapping)

### createCall

    public javax.xml.rpc.Call createCall()
                                  throws javax.xml.rpc.ServiceException

  Overwrite to provide a Call object that is ws4ee aware.

  Returns:
    Call Used for invoking the Web Service
  Throws:
    `javax.xml.rpc.ServiceException` - If there's an error

### getPorts

    public Iterator getPorts()
                      throws javax.xml.rpc.ServiceException

  Returns an `Iterator` for the list of `QName`s of service endpoints grouped by this service

  For a partial wsdl see ws-1.1 spec section 4.2.2.5 Service method use with partial WSDL

  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Get the service name for this service.

### getAxisClient

    protected org.apache.axis.client.AxisClient getAxisClient()

  Get the AxisClient engine.

### getEngineConfiguration

    protected org.apache.axis.EngineConfiguration getEngineConfiguration()

  Use the `EngineConfigurationFinder.getClientEngineConfiguration()` to discover the client engine configuration.

### getParser

    protected org.apache.axis.wsdl.gen.Parser getParser()

  Turn off automatic wrapped style

### getTargetEnpointAddress

    protected String getTargetEnpointAddress()

  The service may provide the target endpoint address, in case the client wsdl port does not contain a valid address. This maybe the case for ws4ee clients that use a port-component-link element.

### setTargetEndpointAddress

    public void setTargetEndpointAddress(String targetEndpointAddress)

### getWSDLPort

    protected javax.wsdl.Port getWSDLPort(Class seiClass)
                                   throws javax.xml.rpc.ServiceException

  Get the WSDL Port for a given service portComponentLinkEndpoint interface

  This looks up the port from the jaxrpc-mapping before defaulting to the Axis functionality.

  Note, this method is not part of standard Axis.

  Parameters:
    `seiClass` - The service portComponentLinkEndpoint interface class
  Returns:
    A wsdl Port
  Throws:
    `javax.xml.rpc.ServiceException` - If there's an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.